<?php
$galerie = $_GET['id'];
$jmeno = $_GET['image'];
header('Content-type: image/jpeg');
$adresa="./".$galerie."/nahledy/".$jmeno;
$adresa_org = "./".$galerie."/".$jmeno;

$velikost=getimagesize($adresa_org);
$sirka=$velikost[0];
$vyska=$velikost[1];
$tn_sirka=$sirka*(80/$vyska);
$tn_vyska=80;
$org=ImageCreateFromJpeg($adresa_org);
$tn=ImageCreateTrueColor($tn_sirka+3,$tn_vyska+3);
ImageCopyResampled($tn,$org,1,1,0,0,$tn_sirka,$tn_vyska,$sirka,$vyska);
ImageJpeg($tn,$adresa);
ImageJpeg($tn);

ImageDestroy($tn);
ImageDestroy($org);
?>